"""add constraint

Revision ID: c44048b48756
Revises: 9f00e0c905ca
Create Date: 2023-11-05 22:38:25.220199

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'c44048b48756'
down_revision: Union[str, None] = '9f00e0c905ca'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint('user_id_asset_id_unique', 'user_wallets', ['user_id', 'asset_id'])
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('user_id_asset_id_unique', 'user_wallets', type_='unique')
    # ### end Alembic commands ###
